Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaaccreditata
Class StrutturaRiabilitativaResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaaccreditata.StrutturaRiabilitativaResponse

    public class StrutturaRiabilitativaResponse

extends java.lang.Object

Response del servizio "getStrutturaRiabilitativaAccreditata" che restituisce i dati dettagliati di una struttura riabilitativa accreditata soddisfacente i criteri di ricerca.

Field Summary
`private java.lang.String` | `accreditamento` Indica lo stato del rapporto di accreditamento (attivo o non attivo).
`private java.lang.String` | `codiceStruttura` Codice identificativo univoco a livello Regionale.
`private SedeResponse` | `datiSede` Dati relativi alla sede in cui la struttura svolge la propria ttivitą
`private java.lang.String` | `denominazione` Denominazione della struttura riabilitativa accreditata.
`private java.lang.String` | `partitaIVA` Partita IVA della struttura riabilitativa.
`private java.lang.String` | `tipologiaStruttura` Indica la tipologia di struttura: PUBBLICA/PRIVATA

Constructor Summary
`StrutturaRiabilitativaResponse()`

Method Summary
`java.lang.String` | `getAccreditamento()`
`java.lang.String` | `getCodiceStruttura()` Restituisce il codice identificativo univoco a livello Regionale della struttura riabilitativa.
`SedeResponse` | `getDatiSede()`
`java.lang.String` | `getDenominazione()` Restituisce la denominazione della struttura riabilitativa.
`java.lang.String` | `getPartitaIVA()` Restituisce la partita IVA della struttura riabilitativa.
`java.lang.String` | `getTipologiaStruttura()`
`void` | `setAccreditamento(java.lang.String accreditamento)`
`void` | `setCodiceStruttura(java.lang.String codStruttura)` Impsta il codice identificativo univoco a livello Regionale della struttura riabilitativa.
`void` | `setDatiSede(SedeResponse datiSede)`
`void` | `setDenominazione(java.lang.String denominazione)` Imposta la denominazione della struttura riabilitativa.
`void` | `setPartitaIVA(java.lang.String partitaIVA)` Imposta la partita IVA della struttura riabilitativa.
`void` | `setTipologiaStruttura(java.lang.String tipologiaStruttura)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceStruttura

    private java.lang.String codiceStruttura

  Codice identificativo univoco a livello Regionale.

### partitaIVA

    private java.lang.String partitaIVA

  Partita IVA della struttura riabilitativa.

### denominazione

    @MinOccurs(value=1L)
    private java.lang.String denominazione

  Denominazione della struttura riabilitativa accreditata.

### tipologiaStruttura

    private java.lang.String tipologiaStruttura

  Indica la tipologia di struttura: PUBBLICA/PRIVATA

### accreditamento

    private java.lang.String accreditamento

  Indica lo stato del rapporto di accreditamento (attivo o non attivo).

### datiSede

    private SedeResponse datiSede

  Dati relativi alla sede in cui la struttura svolge la propria ttivitą

Constructor Detail

### StrutturaRiabilitativaResponse

    public StrutturaRiabilitativaResponse()

Method Detail

### getCodiceStruttura

    public java.lang.String getCodiceStruttura()

  Restituisce il codice identificativo univoco a livello Regionale della struttura riabilitativa.

  Returns:
    codice della struttura

### setCodiceStruttura

    public void setCodiceStruttura(java.lang.String codStruttura)

  Impsta il codice identificativo univoco a livello Regionale della struttura riabilitativa.

  Parameters:
    `codice` - della struttura

### getPartitaIVA

    public java.lang.String getPartitaIVA()

  Restituisce la partita IVA della struttura riabilitativa.

  Returns:
    partita IVA

### setPartitaIVA

    public void setPartitaIVA(java.lang.String partitaIVA)

  Imposta la partita IVA della struttura riabilitativa.

  Parameters:
    `partita` - IVA

### getDenominazione

    public java.lang.String getDenominazione()

  Restituisce la denominazione della struttura riabilitativa.

  Returns:
    denominazione della struttura.

### setDenominazione

    public void setDenominazione(java.lang.String denominazione)

  Imposta la denominazione della struttura riabilitativa.

  Parameters:
    `denominazione` - della struttura.

### setDatiSede

    public void setDatiSede(SedeResponse datiSede)

### getDatiSede

    public SedeResponse getDatiSede()

### setAccreditamento

    public void setAccreditamento(java.lang.String accreditamento)

### getAccreditamento

    public java.lang.String getAccreditamento()

### setTipologiaStruttura

    public void setTipologiaStruttura(java.lang.String tipologiaStruttura)

### getTipologiaStruttura

    public java.lang.String getTipologiaStruttura()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD